std::domain_error(3cxx)

NAME
std::domain_error

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions

domain_error (const string &__arg)
domain_error (const char *)
virtual const char * what () const noexcept

Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 142 of file stdexcept.

Member Function Documentation

  virtual const char* std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.